Figure - 0 O Dev #110644
00 Dev#110122 (New): OMKO OO OO
00 Dev#110125 (New): OMKO OBSPO O OO O
00O Dev#110643 (O O O InProgress): 0 MKO O 0060 O EthernetD 0 O O
0 MKO O 0060 [0 Ethernetd O TC-RID: 1201-04006010 O O O O bring up
2022-07-2512:24-CDTPM-O O O

Status: 0 O Closed Start date: 2022-07-25
Priority: Normal Due date: 2022-08-10
Assignee: SZTS_TESTO O % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

gooood

mJ000:

https://thundersoft.feishu.cn/sheets/shtcngaFykINSnMcKWLuICI3xnc L15
O 0O 0O O bring up

m JO0OURLOODO

m [ dcased 00O

s 000000000000 00OO

History

#1-2022-08-01 15:13-SZTPM-O O O

- Due date set to 2022-08-10

- Category changed from 714 to 707

- Assignee changed from SZ TPM-0O O O to SZBSP-0 O O

#2 - 2022-08-04 16:13 - CD TPM-0 O O
- Subject changed from 0 MKO 0 0060] (I EthernetC) O TC-RID: 0301-04000601C 00 O O O bring up to 0 MK [0 00601 O EthernetD) O TC-RID: 0301-0400601C1 (I
0 0 O bringup

#3 - 2022-08-04 21:25-CD TPM-0 0 O

- Subject changed from 0 MKO O 0060 O Ethernetd O TC-RID: 0301-04006010 O O O O bring up to 0 MKO O 0060 O Ethernetd O TC-RID: 1201-04006010 O
0 0 O bringup

#4 - 2022-08-05 13:45 - SZ BSP-0 0 O

- Status changed from New to O O O In Progress

- % Done changed from 0 to 90

00 0 bringupO O O O pingd www.baidu.com

8/5:0 00000000 pingwww.baidu.com 0 O pingd O

ooooo

1.000000000000TP-LINKDODODOODDDODOODODOODODODDODOO

2.ifconfigethOO OO CCOWPOOOOOOIPOOOOOO0O0O0O000000000000O

3. ping www.baidu.com

#5 - 2022-08-05 13:52 - SZ BSP-0 0 O
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc
http://www.baidu.com
http://www.baidu.com
http://www.baidu.com

- Assignee changed from SZBSP-00 0 O to SZTPM-0 O O

#6 - 2022-08-1913:11-SZ TPM-0 O O
- Assignee changed from SZ TPM-0O O O to SZTS_TEST O O
- % Done changed from 90 to 100

#7 - 2022-08-19 20:10 - SZTS_TEST O O
- Status changed from O O O In Progress to 0 [0 Closed

#8 - 2022-12-22 20:21 - CD FW-0 O
Gerrit Merge Information(

1D Project Branch Uploader
140963 general/platform/vendor/qcom/kona | Pre_figure_turbox-c2130c-lal.1-vendo | shijiang.liu@thundercomm.com
r-dev

BSP:Ethernet: Bringup [2/3]add tools to vendor/binTC-RID: 0301-0400601IssuelD: TS-R-DF-110644Change-1d: Idee2bcdcc20d5d87937c89676cda53ecled6932f

#9 - 2022-12-22 20:21 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
140965 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | shijiang.liu@thundercomm.com
m/proprietary r-dev

BSP:Ethernet: Bringup [1/3]1. change boot option of pciel2. add dts node about gpio of phy and LanTC-RID: 0301-0400601IssuelD:
TS-R-DF-110644Change-Id: 166a07aadd7a8054c58e9b0a8e20c6ffoh61a3a39

#10 - 2022-12-22 20:21 - CD FwW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
140989 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | shijiang.liu@thundercomm.com
r-dev

BSP:Ethernet: Bringup [3/3]1. add phy chip driver marvell-88x2112.c2. close CONFIG_DEBUG_ATOMIC_SLEEP for fix crash3. add the power-on timing of the
mac chip in mac driverTC-RID: 0301-0400601IssuelD: TS-R-DF-110644Change-Id: 1415d6819841979700b5eb5f5da473f2eeddffcd9

#11 - 2022-12-22 20:24 - CD FW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
143147

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo | huangpf1028@thundersoft.com

r-dev

LC:Ethernet: enable Android kernel VLAN supportEnable kernel VLAN supportTC-RID: 1201-04006011ssuel D: TC-R-DF-110644Change-Id:
1d60f332db9f26e89eceab078eedebc62f68f78a6

#12 - 2022-12-22 20:24 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

143454

general/platform/vendor/thundercom
m/ethernet

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

huangpf1028@thundersoft.com

LC:Ethernet: Add ethernet configAdd ethernet configTC-RID: 1201-0400601Issuel D: TC-R-DF-110644Change-Id:
1656439a6h83e1dc8880a89c7a2f233429dcd09b4

#13 - 2022-12-22 20:24 - CD FwW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

143498

general/platform/vendor/qcom/kona

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

huangpf1028@thundersoft.com

LC:Ethernet: Add etheret buildAdd etheret buildTC-RID: 1201-0400601IssuelD: TC-R-DF-110644Change-1d: 1241f079a662ca62fb49b5b40dbb09466f47cd922

#14 - 2022-12-22 20:25 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

143705

general/platform/external/iproute2

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

huangpf1028@thundersoft.com

LC:Ethernet: Add ip to compile in vendor partitionAdd ip to compile in vendor partitionTC-RID: 1201-0400601IssuelD: TC-R-DF-110644Change-1d:
1284175dd096d73f8763cfe59edce561421bbb3ae

#15 - 2022-12-22 20:29 - CD Fw-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

147046

general/platform/vendor/thundercom

m/ethernet

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

huangpf1028@thundersoft.com

2025-07-04
LC:Ethernet: Fix vlanidfix vlanidTC-RID: 1201-0400601IssuelD: TS-R-DF-110644Change-Id: 12d9b7ef57801ef63b3c73b3fb2fec768aelad2a4
